package com.mcwl.myInvitation.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.mcwl.myInvitation.domain.Invitation;
import com.mcwl.myInvitation.domain.dto.EarningsDisplay;
import com.mcwl.myInvitation.domain.dto.EarningsDisplayDto;

import java.util.List;

public interface InvitationService extends IService<Invitation> {

    /**
     * 获取邀请码
     * @param userId 用户id
     * @return 邀请码
     */
    String getInvitationCode(Long userId);

    List<EarningsDisplayDto> getEarningsDisplay(Long userId);

    Double getTotalAmount(Long userId);
}
